<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="SocoShop.Page.UserMessageDetail" %>
<%@ Import namespace="SocoShop.Entity" %>
<%@ Import namespace="SocoShop.Business" %>
<%@ Import namespace="SocoShop.Common" %>
<%@ Import namespace="SkyCES.EntLib" %>
<%@ Import namespace="System.Diagnostics" %>
<script runat="server">
protected override void OnInit(EventArgs e)
{
	/* 
		本页面代码由天易模板生成于 2011/3/6 19:11:38.
	*/
	Stopwatch sw = new Stopwatch();
	sw.Start();
	base.OnInit(e);
	sw.Stop();
	 decimal processTime=Convert.ToDecimal(sw.ElapsedMilliseconds) / 1000;
	StringBuilder document = new StringBuilder();
	document.Append("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\r\n");
	document.Append("<html xmlns=\"http://www.w3.org/1999/xhtml\" >\r\n");
	document.Append("<head>\r\n");
	document.Append("    <title>"+Title+"</title>\r\n");
	document.Append("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />\r\n");
	document.Append("<meta content=\""+Keywords+"\" name=\"keywords\"/>\r\n");
	document.Append("<meta content=\""+Description+"\" name=\"description\"/>\r\n");
	document.Append("<meta content=\""+Copyright+"\" name=\"copyright\"/>\r\n");
	document.Append("<meta content=\""+Author+"\" name=\"author\"/>\r\n");
	document.Append("<link href=\"/Plugins/Template/Red/style/global.css\" type=\"text/css\" rel=\"Stylesheet\"/>  \r\n");
	document.Append("<link href=\"/Plugins/Template/Red/style/Style.css\" type=\"text/css\" rel=\"Stylesheet\"/>  \r\n");
	document.Append("<link href=\"/Plugins/Template/Red/style/user.css\" type=\"text/css\" rel=\"Stylesheet\"/>     \r\n");
	document.Append("<script language=\"javascript\" type=\"text/javascript\" src=\"/Admin/Js/Common.js\" ></"+"script>\r\n");
	document.Append("    <script language=\"javascript\" type=\"text/javascript\" src=\"/Admin/Js/Calendar.js\" ></"+"script>\r\n");
	document.Append("    <script language=\"javascript\" type=\"text/javascript\" src=\"/Admin/Js/UnlimitClass.js\" ></"+"script>\r\n");
	document.Append("</head>\r\n");
	document.Append("<body>\r\n");
	document.Append("    <div class=\"top\">\r\n");
	document.Append("    <div class=\"tips\"><p>\r\n");
	if(Sessions.UserID==0)
{
	document.Append("您好，欢迎您回来！[ <a href=\"/User/Login.aspx\">请登录</a> ]，新用户？[ <a href=\"/User/Register.aspx\">免费注册</a> ]\r\n");
	}
else
{
	document.Append(""+Sessions.UserName+"：您好，欢迎您回来！[ <a href=\"/User/Index.aspx\">会员中心</a> ] ， [ <a href=\"/User/Logout.aspx\">安全退出</a> ]\r\n");
	 }
	document.Append("</p></div>\r\n");
	document.Append("    <div class=\"logo\">\r\n");
	document.Append("        <h1><img src=\"/Plugins/Template/Red/style/images/logo.gif\"  alt=\"SocoShop\"  /></h1>\r\n");
	document.Append("        <p>\r\n");
	document.Append("            <strong>订购热线</strong><br /> <span>"+ShopConfig.ReadConfigInfo().Tel+"</span>\r\n");
	document.Append("        </p>\r\n");
	document.Append("    </div>\r\n");
	document.Append("    <div class=\"wrap\">\r\n");
	document.Append("        <ul class=\"topmenu\">\r\n");
	document.Append("            <li id=\"Default\"><a href=\"/Default.aspx\">首页</a> </li>\r\n");
	document.Append("            <li  id=\"News\"><a href=\"/Product.aspx\">商品展示</a> </li>\r\n");
	document.Append("            <li id=\"Product\"><a href=\"/Brand.aspx\">品牌专区</a> </li>\r\n");
	document.Append("            <li id=\"Down\"><a href=\"/Activity.aspx\">商家活动</a> </li>\r\n");
	document.Append("            <li id=\"GuestBook\"><a href=\"/User/Index.aspx\">会员中心</a> </li>\r\n");
	document.Append("            <li id=\"Case\"><a href=\"/Help.aspx\">帮助中心</a> </li>\r\n");
	document.Append("            <span><a href=\"/Cart.aspx\"><img src=\"/Plugins/Template/Red/style/images/cart.gif\"/>购物车有 <strong id=\"ProductBuyCount\">"+Sessions.ProductBuyCount+"</strong> 件商品 合计 <strong id=\"ProductTotalPrice\">"+Sessions.ProductTotalPrice+"</strong> 元</a> <a href=\"/CheckOut.aspx\"><img src=\"/Plugins/Template/Red/style/images/checkout.gif\"/></a></span>\r\n");
	document.Append("        </ul>\r\n");
	document.Append("        <div class=\"search\">\r\n");
	document.Append("            <select id=\"classID\"><option value=\"\">所有分类</option>\r\n");
	foreach(ProductClassInfo productClass in allProductClassList)
{
	document.Append("<option value=\""+productClass.ID+"\">"+productClass.ClassName+"</option>\r\n");
	}
	document.Append("</select>   \r\n");
	document.Append("            <input type=\"text\" value=\"\" id=\"keyWord\"  onfocus=\"clearKeyWord()\" onblur=\"fillKeyWord()\" />  \r\n");
	document.Append("            <input type=\"button\" value=\"搜 索\" class=\"button\" onclick=\"return topSearchProduct()\" />  \r\n");
	document.Append("            <span>热门关键词：</span>\r\n");
	foreach(string temp in hotKeyword.Split(','))
{
	document.Append("<a href=\"/Product/Keyword/"+Server.UrlEncode(temp)+".aspx\">"+temp+"</a>\r\n");
	}
	document.Append("        </div>\r\n");
	document.Append("    </div>\r\n");
	document.Append("</div>    \r\n");
	document.Append("    <div class=\"main\">\r\n");
	document.Append("        <div class=\"left\">       \r\n");
	document.Append("            <div class=\"box user\">\r\n");
	document.Append("    <div class=\"userPhoto\"><img src=\""+UserBLL.ReadUserPhoto("190-190")+"\" onload=\"photoLoad(this,190,190)\" /></div>\r\n");
	document.Append("    <div class=\"boxHead\"><span>交易中心</span></div>\r\n");
	document.Append("    <ul class=\"boxMain\" >\r\n");
	document.Append("        <li><a href=\"/User/Order.aspx\">订单管理 </a> </li>\r\n");
	document.Append("        <li><a href=\"/User/BookingProduct.aspx\"> 缺货登记  </a> </li>\r\n");
	document.Append("        <li><a href=\"/User/UserRecharge.aspx\"> 在线充值  </a> </li>\r\n");
	document.Append("        <li><a href=\"/User/UserApply.aspx\"> 申请提现  </a> </li>\r\n");
	document.Append("        <li><a href=\"/User/UserAccountRecord.aspx\"> 账户明细   </a> </li>                    \r\n");
	document.Append("    </ul>\r\n");
	document.Append("    <div class=\"boxTitle\"><span>个人信息</span></div>\r\n");
	document.Append("    <ul class=\"boxMain\" >\r\n");
	document.Append("        <li><a href=\"/User/UserAdd.aspx\">基本资料  </a> </li>\r\n");
	document.Append("        <li><a href=\"/User/ChangePassword.aspx\">修改密码   </a> </li>\r\n");
	document.Append("        <li><a href=\"/User/UserAddress.aspx\">地址簿   </a> </li>                    \r\n");
	document.Append("    </ul>\r\n");
	document.Append("    <div class=\"boxTitle\"><span>个人应用</span></div>\r\n");
	document.Append("    <ul class=\"boxMain\" >\r\n");
	document.Append("        <li><a href=\"/User/UserTags.aspx\">我的标签  </a> </li>\r\n");
	document.Append("        <li><a href=\"/User/UserProductCollect.aspx\">我的收藏   </a> </li>\r\n");
	document.Append("        <li><a href=\"/User/UserProductComment.aspx\">我的评论   </a> </li>\r\n");
	document.Append("        <li><a href=\"/User/UserProductReply.aspx\">我的回复    </a> </li>\r\n");
	document.Append("        <li><a href=\"/User/UserMessage.aspx\">我的留言     </a> </li>\r\n");
	document.Append("        <li><a href=\"/User/UserCoupon.aspx\">优惠券    </a> </li>\r\n");
	document.Append("        <li><a href=\"/User/UserFriend.aspx\">我的好友     </a> </li>\r\n");
	document.Append("        <li><a href=\"/User/Message.aspx\">短信息     </a> </li>\r\n");
	document.Append("    </ul>\r\n");
	document.Append("</div>              \r\n");
	document.Append("        </div>\r\n");
	document.Append("        <div class=\"right\">   \r\n");
	document.Append("            <div>用户中心 > 我的留言</div>  \r\n");
	document.Append("            <div class=\"height10\"></div>         \r\n");
	document.Append("            <div class=\"userTitle\"></div>\r\n");
	document.Append("            <div class=\"add\">\r\n");
	document.Append("                <ul>\r\n");
	document.Append("                    <li class=\"left\">标题：</li>\r\n");
	document.Append("                    <li class=\"right\">"+userMessage.Title+"</li>\r\n");
	document.Append("                </ul> \r\n");
	document.Append("                <ul>\r\n");
	document.Append("                    <li class=\"left\">内容：</li>\r\n");
	document.Append("                    <li class=\"right\">"+userMessage.Content+"</li>\r\n");
	document.Append("                </ul> \r\n");
	document.Append("                <ul>\r\n");
	document.Append("                    <li class=\"left\">类型：</li>\r\n");
	document.Append("                    <li class=\"right\">"+UserMessageBLL.ReadMessageType(userMessage.MessageClass)+"</li>\r\n");
	document.Append("                </ul>  \r\n");
	document.Append("                <ul>\r\n");
	document.Append("                    <li class=\"left\">时间：</li>\r\n");
	document.Append("                    <li class=\"right\">"+userMessage.PostDate+"</li>\r\n");
	document.Append("                </ul>  \r\n");
	document.Append("                <ul>\r\n");
	document.Append("                    <li class=\"left\">处理意见：</li>\r\n");
	document.Append("                    <li class=\"right\">\r\n");
	if(userMessage.IsHandler==1)
{
	document.Append(""+userMessage.AdminReplyContent+"\r\n");
	}
else
{
	document.Append("未处理\r\n");
	 }
	document.Append("</li>\r\n");
	document.Append("                </ul>  \r\n");
	document.Append("            </div>                 \r\n");
	document.Append("        </div>\r\n");
	document.Append("    </div>\r\n");
	document.Append("     <div class=\"foot\">\r\n");
	document.Append("    <div class=\"block\">\r\n");
	document.Append("        <div class=\"help\">\r\n");
	foreach(ArticleClassInfo articleClass in helpClassList)
{
	document.Append("            <ul>\r\n");
	document.Append("                <li class=\"title\">"+articleClass.ClassName+"</li>\r\n");
	foreach(ArticleClassInfo childArticleClass in ArticleClassBLL.ReadArticleClassAllChildList(articleClass.ID))
{
	document.Append("                <li> <a href=\"/Help-I"+childArticleClass.ID+".aspx\">"+childArticleClass.ClassName+"</a></li>\r\n");
	}
	document.Append("            </ul>\r\n");
	}
	document.Append("        </div>\r\n");
	document.Append("        <div class=\"clear redLine\"></div>\r\n");
	document.Append("        <p class=\"message\">\r\n");
	int bo=0;
	foreach(ArticleInfo bottom in bottomList)
{
	if(bo>0)
{
	document.Append(" | \r\n");
	 }
	document.Append("        <a href=\"\r\n");
	if(bottom.Url==string.Empty)
{
	document.Append("/ArticleDetail-I"+bottom.ID+".aspx\r\n");
	}
else
{
	document.Append(""+bottom.Url+"\r\n");
	 }
	document.Append("\">"+StringHelper.Substring(bottom.Title,11)+"</a>\r\n");
	bo++;
	}
	document.Append("        </p>\r\n");
	document.Append("        <div class=\"processTime\">页面执行时间："+processTime+"S</div>\r\n");
	document.Append("    </div>    \r\n");
	document.Append("</div>\r\n");
	document.Append("<script language=\"javascript\" type=\"text/javascript\" src=\"/Plugins/Template/Red/Js/Global.js\" ></"+"script>\r\n");
	document.Append("<div style=\"text-align:center; font-size:11px; margin-bottom:10px\">Soco商城系统(SocoShop) V1.0<a href=\"http://www.skyces.com\" target=\"_blank\" style=\"text-decoration:none; color:#4C5A62\">Copyright © 天易CES 2009</a></div></body>\r\n");
	document.Append("</html>\r\n");
	Response.Write(document.ToString());
}
</script>